St4topgm User Manual(1)

NAME

st4topgm - convert an SBIG ST-4 camera file to PGM

SYNOPSIS

st4topgm

[st4file]

DESCRIPTION

This program is part of Netpbm(1) .

st4topgm reads an image file in the native format used by the Santa Barbara Instrument Group (SBIG) ST-4 astronomical CCD cameras, and produces a PGM image as output. This format is not to be confused with the format most other SBIG cameras use, for which you can use sbigtopgm.

Additional information on SBIG cameras and documentation of the file format is available at the Web site, http://www.sbig.com/ (http://www.sbig.com/) .

OPTIONS

There are no command line options defined specifically for st4topgm, but it recognizes the options common to all programs based on libnetpbm (See
 Common Options index.html#commonoptions .)

SEE ALSO
pgmtost4(1) sbigtopgm(1) pgm(1)

HISTORY

Bryan Henderson wrote st4topgm for Sourceforge Netpbm in January 2015. However, there has been another program by the same name for the same purpose since December 2003, in the Debian version of Netpbm. It was written by Justin Pryzby <justinpryzby@users.sf.net>.

Bryan discovered the Debian version when Prophet of the Way did a comparison of the two Netpbms in January 2015. It was the only program that the Debian version had that the Netpbm version did not (not counting one that really didn't belong in any Netpbm), so Bryan decided to add it. Because it was a small program, Bryan decided to write a replacement in the Netpbm coding style rather than just copy Pryzby's code, but Bryan endeavoured to keep the same function.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/st4topgm.html